%define upstream_name    Tapper-Cmd
%define upstream_version 5.0.6

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Tapper - Backend functions for CLI and Web
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Tapper/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Cwd)
BuildRequires: perl(DBI)
BuildRequires: perl(DateTime)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Copy::Recursive)
BuildRequires: perl(File::ShareDir)
BuildRequires: perl(File::Slurp)
BuildRequires: perl(Hash::Merge::Simple)
BuildRequires: perl(Kwalify)
BuildRequires: perl(Moose)
BuildRequires: perl(Net::OpenSSH)
BuildRequires: perl(Perl6::Junction)
BuildRequires: perl(Tapper::Base)
BuildRequires: perl(Tapper::Config)
BuildRequires: perl(Tapper::Model)
BuildRequires: perl(Tapper::Reports::DPath::TT)
BuildRequires: perl(Tapper::Schema)
BuildRequires: perl(Tapper::Schema::TestTools)
BuildRequires: perl(Tapper::Schema::TestrunDB)
BuildRequires: perl(Template) >= 2.260.0
BuildRequires: perl(Template::Plugin::Autoformat) >= 2.770.0
BuildRequires: perl(Template::Plugin::EnvHash) >= 1.60.0
BuildRequires: perl(Test::Deep)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::Fixture::DBIC::Schema)
BuildRequires: perl(Test::More)
BuildRequires: perl(Text::Autoformat) >= 1.740.0
BuildRequires: perl(Try::Tiny)
BuildRequires: perl(YAML::Syck)
BuildRequires: perl(YAML::XS)
BuildRequires: perl(parent)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
Tapper backend functions for the command line and the Web.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

# Cancelling for now due to test failures.

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Wed Jul 12 2017 bb2 <bb2> - 5.0.6-3pclos2017
- rebuild against updates

